| Qore WebSocketUtil Module Reference 1.4.1

Loading...
Searching...
No Matches
Variables
WebSocket Close Codes

## Variables
const | WebSocketUtil::WSCC_AbnormalClosure = 1006
| "Abnormal Closure" code
const | WebSocketUtil::WSCC_GoingAway = 1001
| "Going Away" code
const | WebSocketUtil::WSCC_InternalServerError = 1011
| "Internal Server Error" code
const | WebSocketUtil::WSCC_InvalidData = 1007
| "Invalid Frame Payload Data" code
const | WebSocketUtil::WSCC_MandatoryExt = 1010
| "Mandatory Ext." code
const | WebSocketUtil::WSCC_MessageTooBig = 1009
| "Message Too Big" code
const | WebSocketUtil::WSCC_NormalClosure = 1000
const | WebSocketUtil::WSCC_NoStatusRcvd = 1005
| "No Status Rcvd" code
const | WebSocketUtil::WSCC_PolicyViolation = 1008
| "Policy Violation" code
const | WebSocketUtil::WSCC_ProtocolError = 1002
| "Protocol Error" code
const | WebSocketUtil::WSCC_TlsHandshake = 1015
| "TLS Handshake" code
const | WebSocketUtil::WSCC_UnsupportedData = 1003
| "Unsupported Data" code
const | WebSocketUtil::WSCCMap = ...
| maps from close codes to text descriptions

## Detailed Description

## Variable Documentation

## ◆ WSCC_NormalClosure

const WebSocketUtil::WSCC_NormalClosure = 1000

"Normal Closure" code